Subject: RE: bug#14778: 24.3; Woman elapsed time calculation fails.
From: "Greenberg, Adam" <[email-masked]>
To: Glenn Morris <[email-masked]>
Date: Wed, 3 Jul 2013 12:11:25 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Glen:

Thanks for the quick follow-up.  I researched this further and discovered that the ancient bison-mode.el (http://ftp.sunet.se/pub/gnu/emacs-lisp/incoming/bison-mode.el) that I use includes make-regexp.el and that defines its own time-since function.  The time-date.el time-since delivered with 24.3 is correct.  When I rename the make-regexp.el version woman works as advertised.  Please accept my apologies for wasting your time.

Adam

-----Original Message-----
From: Glenn Morris [mailto:[email-masked]] 
Sent: Wednesday, July 03, 2013 12:06 PM
To: Greenberg, Adam
Cc: [email-masked]
Subject: Re: bug#14778: 24.3; Woman elapsed time calculation fails.

"Greenberg, Adam" wrote:

> Emacs reports this error: Invalid time specification whenever I 
> execute woman. For example m-x woman hostname (invoke woman to view 
> the hostname man page).

I cannot reproduce this. Does it happen with emacs -Q?

> The error occurs in the line:
>     (setq time (float-time (time-since start-time)))
>
> The error is that time-since returns the value of a time difference 
> (already a float value) not a time value.

Not for me it doesn't. What does the following return for you:

(time-since before-init-time)

For me it returns eg

(0 123 804775 342000)

What does

C-h f time-since

say?

> In GNU Emacs 24.3.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.18.9)  
> of 2013-07-01 on vlelayerdev3